<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('suivi', function (Blueprint $table) {
            $table->id();
            $table->foreignId('vehicule_id');
            $table->foreignId('chauffeur_id');
            $table->foreignId('gare_id');
            $table->date('day');
            $table->boolean('available')->default(true);
            $table->string('remarque');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('suivis');
    }
};
